AnsweredAssumed Answered

S32k1xx AUTOSAR 4.2 MCAL

Question asked by Peter Schenke on Oct 10, 2018

What is the correct version of the version of the MCAL package to be used for a S32k146 controller?

Have used the version 1.0.1_HF3, but some problem with the SPI driver: Spi_DataType is not defined

Seems to be a generation problem of the MCAL driver?

S32K AUTOSAR 4.2 MCAL versions available

 

What is the meaning of the version identification "P1", "P2" and "P3".? Should I download and merge these package with the 1.01. package that even so contains several with "HF?" labeled versions?

confusing for me.

Can anybody help?

 

Peter

Outcomes